Bug 505734 - bacula tray monitor does not start
bacula tray monitor does not start
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bacula (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-13 06:10 EDT by Stephanos Manos
Modified: 2010-06-24 12:32 EDT (History)
6 users (show)

See Also:
Fixed In Version: bacula-5.0.2-5.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-24 12:32:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephanos Manos 2009-06-13 06:10:54 EDT
If i try to start bacula monitor from the menus nothing happens.
If i try to start it from cli with "bacula-tray-monitor -c /etc/bacula/tray-monitor.conf" 
as a user i get the following 
13-Jun 12:34 tray-monitor: ERROR TERMINATION at parse_conf.c:829
Config error: Cannot open config file "/etc/bacula/tray-monitor.conf": Permission denied

as a root i get the following 
Connecting to Director <NULL>:9101

The problem is with the provided /etc/bacula/tray-monitor.conf file that is missing a line in the director section
it has 
Director {
  Name = bacula-dir
  DIRport = 9101
}

instead if
Director {
  Name = bacula-dir
  DIRport = 9101
  address = server.example.com
}

Adding the missing line fixes the problem for root.

As for the user the problem still exists. 
Missing consolehelper/pam ?
Comment 1 Felix Schwarz 2009-06-13 06:50:02 EDT
Can you try to change the tray monitor desktop file according to my proposal in bug 426790, comment 4? If it helps, this bug should be considered a duplicate of bug 426790.
Comment 2 Stephanos Manos 2009-06-13 10:37:20 EDT
(In reply to comment #1)
> Can you try to change the tray monitor desktop file according to my proposal in
> bug 426790, comment 4? If it helps, this bug should be considered a duplicate
> of bug 426790.  

After the change nothing happens.
If i run the command in cli i get
[stef@anaconda Desktop]$ /usr/sbin/bacula-tray-monitor -c /etc/bacula/tray-monitor.conf
13-Jun 17:34 tray-monitor: ERROR TERMINATION at parse_conf.c:829
Config error: Cannot open config file "/etc/bacula/tray-monitor.conf": Permission denied

[stef@anaconda Desktop]$ 


Also keep in mind that there are two problems as i wrote in my previous post.
a) the problem with the conf file
b) the execution error
Comment 3 Stephanos Manos 2009-06-13 10:48:22 EDT
The problem is on the config file permissions and not the path (/usr/sbin is in the path).
So the solution is either
a) change the permissions of /etc/bacula/tray-monitor.conf from 640 to 644 
b) use consolehelper
Comment 4 Gwyn Ciesla 2009-07-22 12:42:39 EDT
bacula's been using consolehelper since at least 2.4.3-6, most likely longer.  What version do you have?
Comment 5 Stephanos Manos 2009-07-24 15:44:09 EDT
(In reply to comment #4)
> bacula's been using consolehelper since at least 2.4.3-6, most likely longer. 
> What version do you have?  

2.4.4-3.fc11.x86_64

And bacula is using consolehelper for most of the modules except bacula-tray-monitor
Comment 6 Gwyn Ciesla 2009-07-30 10:07:38 EDT
The address line looks to be there in 2.4.4.  Working on the other fixes.
Comment 7 Juha Tuomala 2010-03-16 09:52:03 EDT
This is actually a duplicate entry for bug 426790 from 2007-12-26. A bug that never got fixed and rotted away.
Comment 8 Bug Zapper 2010-04-27 10:51:50 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Jan Görig 2010-06-02 06:19:51 EDT
Bug isn't still fixed. Changing version to Fedora 13.
Comment 10 Fedora Update System 2010-06-03 08:37:59 EDT
bacula-5.0.2-5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/bacula-5.0.2-5.fc13
Comment 11 Fedora Update System 2010-06-04 14:50:38 EDT
bacula-5.0.2-5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bacula'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/bacula-5.0.2-5.fc13
Comment 12 Fedora Update System 2010-06-24 12:32:21 EDT
bacula-5.0.2-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.